#!/usr/bin/env python3
ip link add name mynet0 type bridge
ip link add veth-inner type veth peer name veth-outer
ip link set dev veth-inner master mynet0

ip link set dev veth-inner up
ip link set dev mynet0 up
ip link set dev veth-inner up

wg setconf vpn /snacks/wireguard/wg.conf
ip link set dev vpn up
ip addr flush dev vpn
ip route flush dev vpn

ip addr add ${VPN_IPV4_ADDRESS} dev vpn
ip addr add ${VPN_IPV6_ADDRESS} dev vpn
ip -4 route add default dev vpn
ip -6 route add default dev vpn
